このスレッドは解決済です(未解決に戻す場合はこちら)
<<戻る

Tomcat6インストール(yumで) このメッセージに返信する
日時: 2013/03/06(Wed) 18:07
名前: やまだ
URL:
OS:CentOS6.3 
Kernel:2.6.32-279.22.1.el6.i686

YumコマンドでTomcat6パッケージをインストールしています。

 yum -y install tomcat6 tomcat6-webapps tomcat6-admin-webapps

しかし、インストールに失敗してしまいます。
以下がそのメッセージです(メッセージの最初は省略しました)。

--> Processing Dependency: libudev = 147-2.41.el6 for package: libgudev1-147-2.41.el6.i686
---> Package poppler-data.noarch 0:0.4.0-1.el6 will be installed
--> Finished Dependency Resolution
Error: Package: 1:cups-1.4.2-48.el6.i686 (base)
Requires: cups-libs = 1:1.4.2-48.el6
Installed: 1:cups-libs-1.4.2-48.el6_3.3.i686 (@updates)
cups-libs = 1:1.4.2-48.el6_3.3
Available: 1:cups-libs-1.4.2-48.el6.i686 (base)
cups-libs = 1:1.4.2-48.el6
Error: Package: libgudev1-147-2.41.el6.i686 (base)
Requires: libudev = 147-2.41.el6
Installed: libudev-147-2.42.el6.i686 (@updates)
libudev = 147-2.42.el6
Available: libudev-147-2.41.el6.i686 (base)
libudev = 147-2.41.el6
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

何か良い解決方法を教えてください。
どうぞよろしくお願いします。
記事編集 編集
Re: Tomcat6インストール(yumで) このメッセージに返信する
日時: 2013/03/07(Thu) 07:27
名前: stranger
URL: http://ja.528p.com/
最新のパッケージが cr に上がっているから
CR.repoを組み込んでyumを実行してみたら?

cups-1.4.2-50.el6_4.4.i686.rpm
libudev-147-2.46.el6.i686.rpm
tomcat6-6.0.24-49.el6.noarch.rpm
記事編集 編集
Re: Tomcat6インストール(yumで) このメッセージに返信する
日時: 2013/03/07(Thu) 11:25
名前: やまだ
URL:
strangerさん

早速ご連絡いただき誠にありがとうございます。
ご指示いただきましたように
 yum install centos-release-cr
でCR.repoを組み込みましたら無事にTomcat6
パッケージをインストールすることができました。

どうもありがとうございます。
感謝





>最新のパッケージが cr に上がっているから
>CR.repoを組み込んでyumを実行してみたら?
>
>cups-1.4.2-50.el6_4.4.i686.rpm
>libudev-147-2.46.el6.i686.rpm
>tomcat6-6.0.24-49.el6.noarch.rpm
記事編集 編集
件名※必須
名前※必須
URL
任意のパスワード (投稿後のコメント修正・削除時に使用)
画像認証※必須 投稿キー(画像で表示されている数字を入力)
コメント※必須

※質問を投稿後に自己解決された場合は、原因と行った対処を具体的に書き込み下さるよう、よろしくお願いします。

- WEB PATIO -